import { View } from "@tarojs/components";
import Tabbar from "@/components/navigation/TabBar";
import './Food.scss'
import FoodJournal from "@/features/food/FoodJournal";
import { useDidShow, useReady, useShareAppMessage } from "@tarojs/taro";
import { useTranslation } from "react-i18next";

export default function Page() {
    const {t} = useTranslation()
    

    if (process.env.TARO_ENV == 'weapp') {
        useShareAppMessage((e) => {
            return {
                title: t('feature.food.share_title'),
                path: 'pages/food/Food',
                imageUrl:global.food_share_img_url?global.food_share_img_url:''
            }
        })
    }

    

    return <View>
        <FoodJournal />
        <Tabbar index={4} />
    </View>

    // return <View className="food_bg">
    //     <View className="food_detail">
    //         <FoodJournal />
    //     </View>

    //     <Tabbar index={4} />
    // </View>
}